summaryrefslogtreecommitdiffstats
path: root/source/l/polkit/polkit.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/polkit/polkit.SlackBuild')
-rwxr-xr-xsource/l/polkit/polkit.SlackBuild9
1 files changed, 3 insertions, 6 deletions
diff --git a/source/l/polkit/polkit.SlackBuild b/source/l/polkit/polkit.SlackBuild
index 293a05dcd..f83b85613 100755
--- a/source/l/polkit/polkit.SlackBuild
+++ b/source/l/polkit/polkit.SlackBuild
@@ -82,12 +82,8 @@ find . \
zcat $CWD/dont-set-wheel-group-as-admin.diff.gz | patch -p1 --verbose || exit 1
-# If we get here and don't have a polkitd user/group, add one.
-# Otherwise a few directories in the package will have wrong permissions.
-if ! grep -q "^polkitd:" /etc/passwd ; then
- groupadd -fg 87 polkitd
- useradd -c "PolicyKit daemon owner" -d /var/lib/polkit -u 87 -g polkitd -s /bin/false polkitd
-fi
+cat $CWD/polkit-124-systemd.patch | patch -p1 --verbose || exit 1
+cat $CWD/polkit-124-systemd-fixup.patch | patch -p1 --verbose || exit 1
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
@@ -111,6 +107,7 @@ meson setup \
-Dsystemdsystemunitdir=/usr/lib/systemd/user \
-Dauthfw=pam \
-Dpam_module_dir=/lib${LIBDIRSUFFIX}/security \
+ -Dpam_prefix=/etc/pam.d \
-Dman=true \
-Djs_engine=duktape \
.. || exit 1